﻿<Window
    x:Class="RnsApp.Desktop.Views.AuthenticationWindow"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:RnsApp.Desktop.Views"
    xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    xmlns:prism="http://prismlibrary.com/"
    Title="Rns Desktop"
    Width="500"
    Height="420"
    d:DesignWidth="500"
    prism:ViewModelLocator.AutoWireViewModel="True"
    AllowsTransparency="True"
    Background="Transparent"
    FontFamily="{DynamicResource MaterialDesignFont}"
    ResizeMode="NoResize"
    TextElement.FontSize="13"
    TextElement.FontWeight="Regular"
    TextElement.Foreground="{DynamicResource MaterialDesignBody}"
    TextOptions.TextFormattingMode="Ideal"
    TextOptions.TextRenderingMode="Auto"
    WindowStartupLocation="CenterScreen"
    WindowState="{Binding WindowState, Mode=TwoWay}"
    WindowStyle="None"
    mc:Ignorable="d">

    <Border
        Background="White"
        BorderBrush="Black"
        BorderThickness="1"
        CornerRadius="15">
        <Grid Background="Transparent">
            <Grid.RowDefinitions>
                <RowDefinition Height="25" />
                <RowDefinition Height="*" />
            </Grid.RowDefinitions>
            <ContentControl
                Grid.Row="1"
                Margin="0,0,0,0"
                prism:RegionManager.RegionName="ContentRegion"
                Background="Transparent"
                Focusable="False" />
            <local:TitleBar Grid.Row="0" />
            <Canvas Grid.RowSpan="2">
                <Button
                    Canvas.Left="20"
                    Canvas.Bottom="20"
                    Background="LightGray"
                    BorderBrush="Black"
                    Command="{Binding UpdateServerUrlCommand}"
                    Foreground="Black"
                    Style="{StaticResource MaterialDesignIconButton}"
                    ToolTip="Edit server Url">
                    <materialDesign:PackIcon
                        Width="24"
                        Height="24"
                        Kind="Settings" />
                </Button>
            </Canvas>
        </Grid>
    </Border>
</Window>
